%define upstream_name    POE-Filter-HTTP-Parser
%define upstream_version 1.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A HTTP POE filter for HTTP clients or servers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Parser) >= 0.60.0
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(POE) >= 1.3.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Test::POE::Client::TCP) >= 0.100.0
BuildRequires: perl(Test::POE::Server::TCP) >= 0.160.0
BuildArch:  noarch

%description
POE::Filter::HTTP::Parser is a the POE::Filter manpage for HTTP which is
based on the HTTP::Parser manpage.

It can be used to easily create the POE manpage based HTTP servers or
clients.

With the 'type' set to 'client', which is the default behaviour, 'get' will
parse the HTTP::Response manpage objects from HTTP streams and 'put' will
accept the HTTP::Request manpage objects and convert them to HTTP streams.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.80.0-3pclos2017
- rebuild against updates

